Resource Center/Network Resource/Hardware SDN Controller Operations
DELETEHardware SDN Controller OperationsSince 5.3.0SynchronousAuth Required
SdnControllerRemoveHost
SdnControllerRemoveHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
sdnControllerUuidStringRequiredThe SDN controller UUID.
hostUuidStringRequiredThe host UUID.
Body Fields
vSwitchTypeStringThe virtual switch type.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}
/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"vSwitchType":"<vSwitchType>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
